Package de.willuhn.jameica.hbci.passports.ddv.server

# Class KaanStandardPlusReader

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader
de.willuhn.jameica.hbci.passports.ddv.server.AbstractKaanReader
de.willuhn.jameica.hbci.passports.ddv.server.KaanStandardPlusReader

All Implemented Interfaces:
  `Reader`

public class KaanStandardPlusReader extends AbstractKaanReader
Implementierung fuer die Default-Einstellungen des "Kaan Standard Plus USB" von Kobil.

## Nested Class Summary

## Nested classes/interfaces inherited from interface de.willuhn.jameica.hbci.passports.ddv.rmi.Reader

`Reader.Type`

## Constructor Summary

Constructors
Constructor
Description
`KaanStandardPlusReader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert den Namen des Chipkartenlesers.

### Methods inherited from class de.willuhn.jameica.hbci.passports.ddv.server.AbstractKaanReader

`getCTAPIDriver, isSupported, useSoftPin`

### Methods inherited from class de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader

`equals, getCTNumber, getDefaultHBCIVersion, getPort, getType, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### KaanStandardPlusReader

public KaanStandardPlusReader()

## Method Details

### getName

public String getName()
Description copied from interface: `Reader`
Liefert den Namen des Chipkartenlesers.

Returns:
  Name des Lesers.
See Also:
  - `Reader.getName()`